[arch-commits] Commit in transmission-gtk/repos (3 files)

Alexander Fehr alexanderf at archlinux.org
Fri Aug 8 11:53:25 EDT 2008


    Date: Friday, August 8, 2008 @ 11:53:25
  Author: alexanderf
Revision: 8185

Merged revisions 5838-8184 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/transmission-gtk/trunk

........
  r8180 | alexanderf | 2008-08-08 17:40:20 +0200 (Fr, 08 Aug 2008) | 1 line
  
  upgpkg: transmission-gtk 1.31-1
........

Modified:
  transmission-gtk/repos/extra-i686/	(properties)
  transmission-gtk/repos/extra-i686/ChangeLog
  transmission-gtk/repos/extra-i686/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   12 ++++++------
 2 files changed, 11 insertions(+), 6 deletions(-)


Property changes on: transmission-gtk/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /transmission-gtk/trunk:1-5837
   + /transmission-gtk/trunk:1-8184

Modified: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2008-08-08 15:51:47 UTC (rev 8184)
+++ extra-i686/ChangeLog	2008-08-08 15:53:25 UTC (rev 8185)
@@ -1,3 +1,8 @@
+2008-08-07  Alexander Fehr  <pizzapunk gmail com>
+
+  * transmission-gtk-1.31-1:
+  New upstream release.
+
 2008-07-20  Alexander Fehr  <pizzapunk gmail com>
 
   * transmission-gtk-1.22-1:

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-08-08 15:51:47 UTC (rev 8184)
+++ extra-i686/PKGBUILD	2008-08-08 15:53:25 UTC (rev 8185)
@@ -2,7 +2,7 @@
 # Maintainer: Alexander Fehr <pizzapunk gmail com>
 
 pkgname=transmission-gtk
-pkgver=1.22
+pkgver=1.31
 pkgrel=1
 pkgdesc="Fast, easy, and free BitTorrent client (GTK+ GUI)"
 arch=('i686' 'x86_64')
@@ -10,11 +10,11 @@
 license=('MIT')
 depends=('curl' 'libnotify' 'desktop-file-utils' 'hicolor-icon-theme')
 makedepends=('intltool')
-optdepends=('notification-daemon: Pop-up notifications')
+optdepends=('notification-daemon: Desktop notification support')
 replaces=('transmission')
 install=transmission-gtk.install
 source=(http://download.m0k.org/transmission/files/transmission-$pkgver.tar.bz2)
-md5sums=('aa0a2db19b0f3dbfd75a0fb354d6c47d')
+md5sums=('b21aef8c7ff26e645ff9b19e873318f9')
 
 build() {
   cd "$srcdir/transmission-$pkgver"
@@ -23,8 +23,8 @@
   make || return 1
   make DESTDIR="$pkgdir" install || return 1
 
-  # Resolve conflict with transmission-cli
-  rm -f "$pkgdir/usr/bin/benc2php"
+  # Remove web interface
+  rm -rf "$pkgdir/usr/share/transmission" || return 1
 
-  install -D -m644 LICENSE "$pkgdir/usr/share/licenses/transmission-gtk/LICENSE" || return 1
+  install -D -m644 COPYING "$pkgdir/usr/share/licenses/transmission-gtk/COPYING" || return 1
 }




More information about the arch-commits mailing list